// TranslatorView.cpp : implementation of the CTranslatorView class
//

#include "stdafx.h"
#include "Translator.h"

#include "TranslatorDoc.h"
#include "TranslatorView.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTranslatorView

IMPLEMENT_DYNCREATE(CTranslatorView, CEditView)

BEGIN_MESSAGE_MAP(CTranslatorView, CEditView)
	//{{AFX_MSG_MAP(CTranslatorView)
	ON_WM_VSCROLL()
	ON_WM_MOUSEWHEEL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTranslatorView construction/destruction

CTranslatorView::CTranslatorView()
{
}

CTranslatorView::~CTranslatorView()
{
}

BOOL CTranslatorView::PreCreateWindow(CREATESTRUCT& cs)
{
	return CEditView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CTranslatorView drawing

void CTranslatorView::OnDraw(CDC* pDC)
{
	CTranslatorDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}

/////////////////////////////////////////////////////////////////////////////
// CTranslatorView diagnostics

#ifdef _DEBUG
void CTranslatorView::AssertValid() const
{
	CEditView::AssertValid();
}

void CTranslatorView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CTranslatorDoc* CTranslatorView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTranslatorDoc)));

	return (CTranslatorDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTranslatorView message handlers

void CTranslatorView::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	int Pos = GetScrollPos(SB_VERT);
	reinterpret_cast<CMainFrame *>(AfxGetMainWnd())->SetPosSCroll(nPos);
	CEditView::OnVScroll(nSBCode, nPos, pScrollBar);
}


BOOL CTranslatorView::OnMouseWheel(UINT nFlags, short zDelta, CPoint pt) 
{

	//int i_Scroll;

	//PostMessage(WM_VSCROLL, i_Scroll, 0L);
	// GetScrollPos(1)
	//CString msg;
	//msg.Format("%d", i_Scroll);
	//MessageBox (msg, NULL,MB_OK);

    int Pos = GetScrollPos(SB_VERT);
	reinterpret_cast<CMainFrame *>(AfxGetMainWnd())->SetPosSCroll(Pos);
	return CEditView::OnMouseWheel(nFlags, zDelta, pt);
}
